VectorLinux
November 23, 2014, 07:46:11 am *
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
News: Visit our home page for VL info. To search the old message board go to http://vectorlinux.com/forum1. The first VL forum is temporarily offline until we can find a host for it. Thanks for your patience.
 
Now powered by KnowledgeDex.
   Home   Help Search Login Register  
Please support VectorLinux!
Pages: [1]
  Print  
Author Topic: Help on phpmyadmin in xammp  (Read 2463 times)
arundracula
Member
*
Posts: 57


« on: November 04, 2009, 09:21:08 am »

I installed xammp-1.5.5a-i586-4vl58.tlz in VectorLinux 6.0 STD

All went good, but when I go to the page http://localhost/phpmyadmin/ this error is shown.

#2002 - The server is not responding (or the local MySQL server's socket is not correctly configured)

How can this be corrected?

Please help.
Logged

Re-installing is not a problem, but it is when I had to.
newt
Vectorian
****
Posts: 1132



« Reply #1 on: November 04, 2009, 09:39:42 am »

Can you confirm that the servers are up and running? I would expect that you would need apache, mysql, and php running correctly for phpmyadmin to function properly. Probably checking the running processes would suffice (ps ax).
Logged
arundracula
Member
*
Posts: 57


« Reply #2 on: November 06, 2009, 08:37:13 am »

root:# /opt/lampp/lampp start
Starting XAMPP for Linux 1.5.5a...
XAMPP: Starting Apache with SSL (and PHP5)...
XAMPP: Starting MySQL...
XAMPP: Starting ProFTPD...
XAMPP for Linux started.

root:# /opt/lampp/lampp status
Version: XAMPP for Linux 1.5.5a
Apache is running.
MySQL is not running.
ProFTPD is running.

I also tried /opt/lampp/lampp startmysql

It says started but not running.  Sad
Logged

Re-installing is not a problem, but it is when I had to.
newt
Vectorian
****
Posts: 1132



« Reply #3 on: November 06, 2009, 10:39:19 am »

I should have noticed before, but it looks like you installed a package for VL 5.8 which is pretty dated at this point. I would recommend you uninstall that version of xammp (as root, removepkg xammp-1.5.5a-i586-4vl58.tlz). Once you have it uninstalled you can proceed with installing a current version of xammp:

Download: http://www.apachefriends.org/download.php?xampp-linux-1.7.2.tar.gz
Unpackage it: (as root) tar xvfz xampp-linux-1.7.2.tar.gz -C /opt
Start xammp: (as root) /opt/lampp/lampp start

Then give it a test in your browser (http://localhost).

Hope this helps
Logged
arundracula
Member
*
Posts: 57


« Reply #4 on: November 07, 2009, 08:57:59 am »

Ok, thankyou. I'll check it.
Logged

Re-installing is not a problem, but it is when I had to.
Pages: [1]
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!